### Hierarchy

- ComponentTests
  - CheckboxExportedTests

## Index

### Constructors

- constructor

### Properties

- settings
- tests

### Methods

- getComponent
- getTests
- structure

### Object literals

- defaults

## Constructors

### constructor

- new CheckboxExportedTests(configs: any): CheckboxExportedTests

- Overrides ComponentTests.constructor

  - Defined in src/checkbox/checkbox-exported-tests.ts:14

  #### Parameters

  - ##### configs: any

  #### Returns CheckboxExportedTests

## Properties

### settings

settings: any

Inherited from ComponentTests.settings

- Defined in src/exported-tests/component-tests.ts:17

### tests

tests: any[] = []

Inherited from ComponentTests.tests

- Defined in src/exported-tests/component-tests.ts:18

## Methods

### getComponent

- getComponent(fragment: any, selector: any): any

- Inherited from ComponentTests.getComponent

  - Defined in src/exported-tests/component-tests.ts:31

  #### Parameters

  - ##### fragment: any

  - ##### selector: any

  #### Returns any

### getTests

- getTests(tests: any): any

- Inherited from ComponentTests.getTests

  - Defined in src/exported-tests/component-tests.ts:24

  #### Parameters

  - ##### tests: any

  #### Returns any

### structure

- structure(): object[]

- - Defined in src/checkbox/checkbox-exported-tests.ts:20

  #### Returns object[]

## Object literals

### Static defaults

defaults: object

Inherited from ComponentTests.defaults

- Defined in src/exported-tests/component-tests.ts:11

### classes

classes: object

- Defined in src/exported-tests/component-tests.ts:15

#### Type declaration

### selectors

selectors: object

- Defined in src/exported-tests/component-tests.ts:12

### root

root: string = ""

- Defined in src/exported-tests/component-tests.ts:13

Generated using TypeDoc